File I/O

These are the main parts of the library that a user would deal with. More...

## Classes

class | Field3DFileBase
class | Field3DFileHDF5Base
class | Field3DInputFile
| Provides reading of .f3d (internally, hdf5 or Ogawa) files. More...
class | Field3DInputFileHDF5
| Provides reading of .f3d (internally, hdf5) files. More...
class | Field3DOutputFile
| Provides writing of .f3d (internally, hdf5 or Ogawa) files. More...
class | Field3DOutputFileHDF5
| Provides writing of .f3d (internally, hdf5) files. More...
class | SparseFileManager

## Functions

FIELD3D_NAMESPACE_OPEN FIELD3D_API void | initIO ()
| Initializes the built-in Field3D IO classes.

## Detailed Description

These are the main parts of the library that a user would deal with.

## Function Documentation

## initIO()

FIELD3D_NAMESPACE_OPEN FIELD3D_API void initIO | ( |  | ) |

Initializes the built-in Field3D IO classes.

Definition at line 66 of file InitIO.cpp.

{
static boost::mutex mutex;
boost::mutex::scoped_lock lock(mutex);
ClassFactory &factory = ClassFactory::singleton();
factory.registerFieldIO(DenseFieldIO::create);
factory.registerFieldIO(SparseFieldIO::create);
factory.registerFieldIO(MACFieldIO::create);
factory.registerFieldIO(MIPFieldIO::create);
factory.registerFieldMappingIO(NullFieldMappingIO::create);
factory.registerFieldMappingIO(MatrixFieldMappingIO::create);
factory.registerFieldMappingIO(FrustumFieldMappingIO::create);
}
ClassFactory
Definition ClassFactory.h:72
ClassFactory::singleton
static ClassFactory & singleton()
}
Definition ClassFactory.cpp:278
ClassFactory::registerFieldIO
void registerFieldIO(CreateFieldIOFnPtr createFunc)
Registers an IO class with the class pool.
Definition ClassFactory.cpp:125
ClassFactory::registerFieldMappingIO
void registerFieldMappingIO(CreateFieldMappingIOFnPtr createFunc)
Registers an IO class with the class pool.
Definition ClassFactory.cpp:227
FrustumFieldMappingIO::create
static FieldMappingIO::Ptr create()
Definition FieldMappingIO.h:308
MatrixFieldMappingIO::create
static FieldMappingIO::Ptr create()
Definition FieldMappingIO.h:236
NullFieldMappingIO::create
static FieldMappingIO::Ptr create()
Definition FieldMappingIO.h:164

References FrustumFieldMappingIO::create(), MatrixFieldMappingIO::create(), NullFieldMappingIO::create(), ClassFactory::registerFieldIO(), ClassFactory::registerFieldMappingIO(), and ClassFactory::singleton().